package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag410;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT410Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT410AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag72Creator extends AbsTagCreate {
    private MT410Creator mt410Creator;

    public Tag72Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt410Creator= (MT410Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72Value = mt410Creator.getSenderToReceiverInformation();
        mt410Creator.set("72", tag72Value);
    }
}
